<?php
/**
* Community builder Login Module 1.0.1
* $Id: mod_cblogin.php 364 2006-08-09 13:50:52Z beat $
*
* @version 1.0.1
* @package Community Builder 1.0.1 extensions
* @copyright (C) 2005-2006 Beat & JoomlaJoe & parts 2000 - 2005 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*
* Credits to: Jeffrey Randall for initial implementation of avatar, and
* to Antony Ventouris for the PMS integration (he also added the cool animated image)
*/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

global $ueConfig, $my, $mosConfig_lang, $mosConfig_absolute_path, $mosConfig_live_site, $_SERVER, $Itemid;

$request_uri = mosGetParam( $_SERVER, 'REQUEST_URI', null );
if (!(strncmp($request_uri, "http:", 5)==0) && !(strncmp($request_uri, "https:", 6)==0)) {
	$return = "http".((isset($_SERVER['HTTPS']) && ( !empty( $_SERVER['HTTPS'] ) ) && ($_SERVER['HTTPS'] != 'off') )?"s":"")."://".mosGetParam( $_SERVER, 'HTTP_HOST', null ).((strpos($request_uri, '/') !== 0) ? "/":"").$request_uri;
} else {
	$return = $request_uri;
}
$len_live_site = strlen($mosConfig_live_site);		// do not remove: used further down as well
if (strncmp($mosConfig_live_site, $return, $len_live_site) == 0) {
	$return = substr($return, $len_live_site);
	if (strncmp($return,"/",1) == 0) $return = substr($return, 1);
}
// avoid unauthorized page acces at very first login after registration confirmation
if (eregi( 'index.php\?option=com_comprofiler&task=confirm&confirmCode=', $return)) $return = "index.php";

//security image by www.waltercedric.com
$securityImagesExist = false;
if (file_exists($mosConfig_absolute_path.'/administrator/components/com_securityimages/config.securityimages.php')) {
	require ($mosConfig_absolute_path."/administrator/components/com_securityimages/config.securityimages.php");
	$securityImagesExist = true;
}
if ($securityImagesExist) {
	include ($mosConfig_absolute_path.'/administrator/components/com_securityimages/client.php');
}
//end security image by www.waltercedric.com

// converts & to &amp; for xhtml compliance
$return = str_replace( '&', '&amp;', $return );

// copied from comprofiler.class.php:
if (!is_callable("cbLoginCheckJversion")) {
	function cbLoginCheckJversion() {
		global $_VERSION;
		if ($_VERSION->PRODUCT == "Mambo") {
			$version = 0;
		} elseif ($_VERSION->PRODUCT == "Joomla!") {
			if (strncasecmp($_VERSION->RELEASE, "1.0", 3)) {
				$version = 1;
			} else {
				$version = 0;
			}
		}
		return $version;
	}
}

if (cbLoginCheckJversion() <= 0) $urlImgPath = $mosConfig_live_site."/modules/mod_cblogin/";
else $urlImgPath = $mosConfig_live_site."/modules/mod_cblogin/mod_cblogin/";

// module parameter may override the system configuration setting
$registration_enabled = $mainframe->getCfg( 'allowUserRegistration' );
if (is_callable(array($params,"get"))) {				// Mambo 4.5.0 compatibility
	$message_login 	= $params->def( 'login_message', 0 );
	$message_logout = $params->def( 'logout_message', 0 );
	$pretext 		= $params->get( 'pretext' );
	$posttext 		= $params->get( 'posttext' );
	$login 			= $params->def( 'login', $return );
	$logout 		= $params->def( 'logout', "index.php" );
	$name 			= $params->def( 'name', 0 );
	$greeting 		= $params->def( 'greeting', 1 );
	$class_sfx		= $params->get( 'moduleclass_sfx', "");
	$horizontal		= $params->get( 'horizontal', 0);
	$show_avatar	= $params->get( 'show_avatar', 0);
	$avatar_position = $params->get( 'avatar_position', "default");
	$pms_type		= $params->get( 'pms_type', 0);
	$show_pms		= $params->get( 'show_pms', 0);
	$remember_enabled = $params->get( 'remember_enabled', 1);
	$https_post		= $params->get( 'https_post', 0);
	$showPendingConnections = $params->get( 'show_connection_notifications', 0);
	$show_newaccount = $params->def( 'show_newaccount', 1 );
	$show_lostpass 	= $params->def( 'show_lostpass', 1 );
	$name_lenght 	= $params->def( 'name_lenght', "10" );
	$pass_lenght 	= $params->def( 'pass_lenght', "10" );
	$compact 		= $params->def( 'compact', 0 );
} else {
	$message_login 	= 0;
	$message_logout = 0;
	$pretext 		= "";
	$posttext 		= "";
	$login 			= $return;
	$logout 		= "index.php";
	$name 			= 0;
	$greeting 		= 1;
	$class_sfx		= "";
	$horizontal		= 0;
	$show_avatar	= 0;
	$avatar_position = "default";
	$pms_type		= 0;
	$show_pms		= 0;
	$remember_enabled = 1;
	$https_post		= 0;
	$showPendingConnections = 0;
	$show_newaccount = 1;
	$show_lostpass 	= 1;
	$name_lenght 	= "10";
	$pass_lenght 	= "10";
}

if ($name) {
	if ($name == 2) {
		$query = "SELECT firstname FROM #__comprofiler WHERE id = ". $my->id;
	} else {
		$query = "SELECT name FROM #__users WHERE id = ". $my->id;
	}
	$database->setQuery( $query );
	$name = htmlspecialchars($database->loadResult());
} else {
	$name = htmlspecialchars($my->username);
}

if ((($my->id) && ($show_pms != 0 || $show_avatar != 0 || $showPendingConnections)) ||
	((!$my->id) && $compact)) {
	$UElanguagePath=$mainframe->getCfg( 'absolute_path' ).'/components/com_comprofiler/plugin/language';
	if (file_exists($UElanguagePath.'/'.$mosConfig_lang.'/'.$mosConfig_lang.'.php')) {
		include_once($UElanguagePath.'/'.$mosConfig_lang.'/'.$mosConfig_lang.'.php');
	} else include_once($UElanguagePath.'/default_language/default_language.php');
}

if ($my->id) {
	$logout = sefRelToAbs( $logout );
	if (!(strncmp($logout, "http:", 5)==0) && !(strncmp($logout, "https:", 6)==0)) $logout = $mosConfig_live_site . "/" . $logout;

	$database->setQuery("SELECT id FROM #__menu WHERE link = 'index.php?option=com_comprofiler' AND published=1");
	$cbItemid = $database->loadResult();
	if (is_numeric($cbItemid)) $andItemid = "&amp;Itemid=".$cbItemid;
	else $andItemid = "";

	echo '<div style="width:100%; overflow: hidden; padding:0px; border-width:0px; margin:0px;">'."\n";

	$logoutPost = sefRelToAbs("index.php?option=com_comprofiler&amp;task=logout");
	echo '<form action="'.$logoutPost.'" method="post" id="mod_login_logoutform'.$class_sfx.'" style="margin:0px;">'."\n";

	$avatarDisplayed = false;
	if ($show_avatar == 0) {
		if ($greeting) echo '<span id="mod_login_greeting'.$class_sfx.'">'._HI.$name.'</span>'.($horizontal ? "&nbsp;" : "");
	} else {
		
		if (($avatar_position=="default") and ($greeting)) echo '<span id="mod_login_greeting'.$class_sfx.'">'._HI.$name.'</span>';

		$query = "SELECT avatar, avatarapproved FROM #__comprofiler WHERE id = ". $my->id;
		$database->setQuery( $query );
		$row = null;
		if ($database->loadObject( $row )) {
			$avatar			= $row->avatar;
			$avatarapproved	= $row->avatarapproved;
			
			if(is_dir($mosConfig_absolute_path."/components/com_comprofiler/plugin/language/".$mosConfig_lang."/images")) $fileLang=$mosConfig_lang;
			else $fileLang="default_language";
			
			if($avatarapproved==0) $oValue="components/com_comprofiler/plugin/language/".$fileLang."/images/tnpendphoto.jpg";
			elseif(($avatar=='' || $avatar==null) && $avatarapproved==1) $oValue = null;
			elseif(strpos($avatar,"gallery/")===false) $oValue="images/comprofiler/tn".$avatar;
			else $oValue="images/comprofiler/".$avatar;
			if(!is_file($mosConfig_absolute_path."/".$oValue)) $oValue = null;

			if (!$oValue and ($show_avatar==2)) $oValue = "components/com_comprofiler/plugin/language/".$fileLang."/images/tnnophoto.jpg";
			
			if ($oValue) {
				if ($class_sfx == "") {
					$attributes = 'style="margin: 3px 1px 7px 1px; border:0;'
					  . (($avatar_position == "left" or $avatar_position == "right") ? ' float:'.$avatar_position.';"' : '"' );
				} else $attributes = "";

				if ($avatar_position=="default") echo '<div style="text-align:center; margin-left:auto; margin-right:auto;">';
				else echo '<div style="float:'.$avatar_position.'; margin: 3px 0px 4px 0px; ">';
				echo '<a href="'.sefRelToAbs("index.php?option=com_comprofiler&amp;task=userProfile".$andItemid).'" class="mod_login'.$class_sfx.'">';		
				echo '<img src="'.$oValue.'" style="margin: 0px 1px 3px 1px; border-width:0px;" alt="'.$name.'" title="'._UE_SHOW_POFILE_OF.$name.'" class="mod_login'.$class_sfx.'" id="mod_login_avatar'.$class_sfx.'" />';
				echo "</a></div>\n";
				$avatarDisplayed = true;
			}
		}
	}

	if ( !$horizontal ) {
		$preDiv = '<div style="text-align:center; margin:0px auto;"> '
				. '<div style="margin:auto; align:center; width:100%;"> '
				. '<div style="display:table; margin:auto; align:center;';
		$postDiv = "</div></div></div>\n";
	}
	
	if ( $show_avatar and ($avatar_position!="default") and ($greeting) ) {
		if ($avatarDisplayed) {
			if ( !$horizontal ) echo $preDiv.'" id="mod_login_greeting'.$class_sfx.'">';
			/* if (!$show_pms) */ echo '<br />';
			echo _HI.'<br />'.$name;
			if ( !$horizontal ) echo $postDiv;
		} else {
			echo '<span id="mod_login_greeting'.$class_sfx.'">'._HI.$name.'</span>';
		}
	}
	
	$pms = 0;
	if($show_pms != 0) {
		// include_once( $mosConfig_absolute_path."/administrator/components/com_comprofiler/ue_config.php" );
		// if (isset($ueConfig['pms'])) $pms = $ueConfig['pms'];
		$pms = $pms_type;		// RC2 quick fix
		if($pms != 0)
		{
			switch ($pms) {
				case 1:
					$pmsnameprefix = "";
					$query_pms_count = "SELECT count(id) FROM #__".$pmsnameprefix."pms WHERE username='$my->username' AND readstate=0";
					$database->setQuery( $query_pms_count );
					$total_pms = $database->loadResult();
		
					$query_pms_link = "SELECT id FROM #__menu WHERE published>=0 AND link LIKE '%com_".$pmsnameprefix."pms%'";
					$database->setQuery( $query_pms_link );
					$pms_link_id = $database->loadResult();
					$pms_link = "index.php?option=com_".$pmsnameprefix."pms&amp;page=index".($pms_link_id ? "&amp;Itemid=".$pms_link_id : "");
					break;
				case 2:
					$pmsnameprefix = "my";
					$query_pms_count = "SELECT count(id) FROM #__".$pmsnameprefix."pms WHERE username='$my->username' AND readstate=0";
					$database->setQuery( $query_pms_count );
					$total_pms = $database->loadResult();
		
					$query_pms_link = "SELECT id FROM #__menu WHERE published>=0 AND link LIKE '%com_".$pmsnameprefix."pms%'";
					$database->setQuery( $query_pms_link );
					$pms_link_id = $database->loadResult();
					$pms_link = "index.php?option=com_".$pmsnameprefix."pms&amp;task=inbox".($pms_link_id ? "&amp;Itemid=".$pms_link_id : "");
					break;
				case 3:
					$query_pms_count="SELECT count(id) FROM #__uddeim WHERE toread<1 AND toid=".$my->id;
					$database->setQuery($query_pms_count);
					$total_pms = $database->loadResult();	

					$query_pms_link = "SELECT id FROM #__menu WHERE published>=0 AND link LIKE '%com_uddeim%'";
					$database->setQuery( $query_pms_link );
					$pms_link_id = $database->loadResult();
					$pms_link = "index.php?option=com_uddeim&amp;task=inbox".($pms_link_id ? "&amp;Itemid=".$pms_link_id : "");
					break;
				case 4:		// PMS Enhanced by Stefan:
					$pmsnameprefix = "";
					$query_pms_count = "SELECT count(id) FROM #__".$pmsnameprefix."pms WHERE username='$my->username' AND readstate=0 AND inbox=1";
					$database->setQuery( $query_pms_count );
					$total_pms = $database->loadResult();
		
					$query_pms_link = "SELECT id FROM #__menu WHERE published>=0 AND link LIKE '%com_".$pmsnameprefix."pms%'";
					$database->setQuery( $query_pms_link );
					$pms_link_id = $database->loadResult();
					$pms_link = "index.php?option=com_".$pmsnameprefix."pms&amp;page=inbox".($pms_link_id ? "&amp;Itemid=".$pms_link_id : "");
					break;
				case 5:
					$pmsnameprefix = "my";
					$query_pms_count = "SELECT count(id) FROM #__".$pmsnameprefix."pms WHERE userid='$my->id' AND readstate=0";
					$database->setQuery( $query_pms_count );
					$total_pms = $database->loadResult();
		
					$query_pms_link = "SELECT id FROM #__menu WHERE published>=0 AND link LIKE '%com_".$pmsnameprefix."pms%'";
					$database->setQuery( $query_pms_link );
					$pms_link_id = $database->loadResult();
					$pms_link = "index.php?option=com_".$pmsnameprefix."pms&amp;task=inbox".($pms_link_id ? "&amp;Itemid=".$pms_link_id : "");
					break;
				/* Test-code for SMF PMS integration: to be validated with SMF team before integration !
				case xxx:
					global $user_info;
					$total_pms = $user_info['unread_messages'];
					$pms_link = ???
				*/
				default:
					break;
			}

			$pmsMsg = "";
			if (($total_pms) > 0 ) {
				$pmsMsg .= '<a href="'.sefRelToAbs("$pms_link").'" class="mod_login'.$class_sfx.'" id="mod_login_pmsimg'.$class_sfx.'">';
				$pmsMsg .= '<img border="0" src="'.$urlImgPath.'mail.gif" width="14" height="15" alt="NEW" class="mod_login'.$class_sfx.'" id="mod_login_messagesimg'.$class_sfx.'" /></a><br />'."\n";
				$pmsMsg .= '<a href="'.sefRelToAbs("$pms_link").'" class="mod_login'.$class_sfx.'" id="mod_login_pmsa'.$class_sfx.'">';
				$pmsMsg .= '<span id="mod_login_messagestext'.$class_sfx.'">'._UE_PM_MESSAGES_HAVE." ".$total_pms."&nbsp;".($total_pms == 1 ? _UE_PM_NEW_MESSAGE : _UE_PM_NEW_MESSAGES)."</span></a>\n";
			} else {
				if($show_pms >= 2 ) {
					$pmsMsg .= '<a href="'.sefRelToAbs("$pms_link").'" class="mod_login'.$class_sfx.'" id="mod_login_no_pms'.$class_sfx.'">';
					$pmsMsg .= '<span id="mod_login_nomessagestext'.$class_sfx.'">'._UE_PM_NO_MESSAGES."</span></a>\n";
				}
			}
			if ($pmsMsg) {
				if ( !$horizontal ) echo $preDiv.' margin-top:0.7em;" id="mod_login_pms'.$class_sfx.'">';
				echo $pmsMsg;
				if ( !$horizontal ) echo $postDiv;
			}
		}
	}

	if($showPendingConnections) {
		include_once( $mosConfig_absolute_path."/administrator/components/com_comprofiler/ue_config.php" );
		if(isset($ueConfig['allowConnections']) && $ueConfig['allowConnections']) {
			$query = "SELECT count(*) FROM #__comprofiler_members WHERE pending=1 AND memberid=". $my->id;
			if(!$database->setQuery($query)) print $database->getErrorMsg();
			$totalpendingconnections = $database->loadResult();
			if($totalpendingconnections > 0) {
				if ( !$horizontal ) echo '<div style="margin:0.7em 0px 0px 0px; align:center; text-align:center;" id="mod_login_connections'.$class_sfx.'">';
				echo "<span id='mod_login_pendingConn".$class_sfx."'>";
				echo "<a href='".sefRelToAbs("index.php?option=com_comprofiler&amp;task=manageConnections".$andItemid)."' class='mod_login".$class_sfx."' id='mod_login_connectimg".$class_sfx."'>";
				echo '<img border="0" src="'.$urlImgPath.'users.gif" width="21" height="15" alt="NEW" class="mod_login'.$class_sfx.'" id="mod_login_connections_img'.$class_sfx.'" />';
				echo "</a> ";
				echo "<a href='".sefRelToAbs("index.php?option=com_comprofiler&amp;task=manageConnections".$andItemid)."' class='mod_login".$class_sfx."' id='mod_login_connect".$class_sfx."'>";
				echo _UE_PM_MESSAGES_HAVE." ".$totalpendingconnections."&nbsp;"._UE_CONNECTIONREQUIREACTION."</a></span>";
				if ( !$horizontal ) echo "</div>";
			}
		}
	}

	if (!$horizontal) {
		if ((!$avatarDisplayed) or ($avatar_position!="default") or ($pms)) $topMargin = "1.4em";
		else $topMargin = "2px";
		echo '<div style="text-align:center; margin:auto; margin: '.$topMargin.' 0px 2px 0px;">';
	}
	echo '<input type="submit" name="Submit" class="button'.$class_sfx.'" value="'._BUTTON_LOGOUT."\" />";
	echo "\n".'<input type="hidden" name="op2" value="logout" />'."\n";
	echo '<input type="hidden" name="lang" value="'.$mosConfig_lang.'" />'."\n";
	echo '<input type="hidden" name="return" value="'.$logout.'" />'."\n";
	echo '<input type="hidden" name="message" value="'.$message_logout.'" />'."\n";
	if ( !$horizontal ) echo "</div>";
	echo "</form></div>";

} else {	// Login Form :
	// redirect to site url (so cookies are recognized correctly after login):
	if (strncasecmp($mosConfig_live_site, "http://www.", 11)==0 && strncasecmp($mosConfig_live_site, "http://", 7)==0
		&& strncasecmp( substr($mosConfig_live_site, 11), substr($login, 7), $len_live_site - 11 ) == 0 ) {
			$login = "http://www." . substr($login, 7);
	} elseif (strncasecmp($mosConfig_live_site, "https://www.", 12)==0 && strncasecmp($mosConfig_live_site, "https://", 8)==0
		&& strncasecmp( substr($mosConfig_live_site, 12), substr($login, 8), $len_live_site - 12 ) == 0 ) {
			$login = "https://www." . substr($login, 8);
	} elseif (strncasecmp($mosConfig_live_site, "http://", 7)==0 && strncasecmp($mosConfig_live_site, "http://www.", 11)==0
		&& strncasecmp( substr($mosConfig_live_site, 7), substr($login, 11), $len_live_site - 7 ) == 0 ) {
			$login = "http://" . substr($login, 11);
	} elseif (strncasecmp($mosConfig_live_site, "https://", 8)==0 && strncasecmp($mosConfig_live_site, "https://www.", 12)==0
		&& strncasecmp( substr($mosConfig_live_site, 8), substr($login, 12), $len_live_site - 8 ) == 0 ) {
			$login = "https://" . substr($login, 12);
	}

	if (strncmp($login, $mosConfig_live_site, $len_live_site) || strncmp($login, "index.php", 9)) {
		$login = sefRelToAbs( $login );
	}
	if (!(strncmp($login, "http:", 5)==0) && !(strncmp($login, "https:", 6)==0)) $login = $mosConfig_live_site . "/" . $login;

	$loginPost = sefRelToAbs("index.php?option=com_comprofiler&amp;task=login");
	if ($https_post and (substr($_SERVER["SCRIPT_URI"],0,6)!="https:")) {
		if (substr($loginPost, 0, 5) != "http:") $loginPost = $mosConfig_live_site."/".$loginPost;
		$loginPost = str_replace("http://","https://",$loginPost);
	}
	echo '<form action="'.$loginPost.'" method="post" id="mod_loginform'.$class_sfx.'" style="margin:0px;">'."\n";
	echo $pretext."\n";
	if (!$horizontal) echo '<table width="100%" border="0" cellspacing="0" cellpadding="0" style="align:center" class="mod_login'.$class_sfx.'">'."\n"
						."<tr><td>";

	$txtusername = '<label for="mod_login_username'.$class_sfx.'">'._USERNAME."</label>";
	$txtpassword = '<label for="mod_login_password'.$class_sfx.'">'._PASSWORD."</label>";
	
	if (!$compact)	 echo '<span id="mod_login_usernametext'.$class_sfx.'">'.$txtusername.'</span>';
	if ($horizontal) echo "&nbsp;\n"; elseif (!$compact) echo "<br />\n";
	echo '<input type="text" name="username" id="mod_login_username'.$class_sfx.'" class="inputbox'.$class_sfx.'" size="'.$name_lenght.'"';
	if ($compact)	 echo " alt=\""._USERNAME."\" value=\""._USERNAME."\" onfocus=\"if (this.value=='"._USERNAME."') this.value=''\" onblur=\"if(this.value=='') { this.value='"._USERNAME."'; return false; }\"";
 	echo ' />';
	if ($horizontal) echo "&nbsp;\n"; elseif (!$compact) echo "<br />\n";
	if (!$compact)	 echo '<span id="mod_login_passwordtext'.$class_sfx.'">'.$txtpassword.'</span>';
	if ($horizontal) echo "&nbsp;"; else echo "<br />";
	echo '<input type="password" name="passwd" id="mod_login_password'.$class_sfx.'" class="inputbox'.$class_sfx.'" size="'.$pass_lenght.'"';
	if ($compact)	 echo " alt=\""._PASSWORD."\" value=\"pasw\" onfocus=\"if (this.value=='pasw') this.value=''\" onblur=\"if(this.value=='') { this.value='pasw'; return false; }\"";
 	echo ' />';
	if ($horizontal) echo "&nbsp;\n"; else echo "<br />\n";

	echo '<input type="hidden" name="op2" value="login" />'."\n";
	echo '<input type="hidden" name="lang" value="'.$mosConfig_lang.'" />'."\n";
	echo '<input type="hidden" name="return" value="'.$login.'" />'."\n";
	echo '<input type="hidden" name="message" value="'.$message_login.'" />'."\n";
	switch ($remember_enabled) {
		case 1:
			echo '<input type="checkbox" name="remember" id="mod_login_remember'.$class_sfx.'" class="inputbox'.$class_sfx.'" value="yes" /> '
				.'<span id="mod_login_remembermetext'.$class_sfx.'"><label for="mod_login_remember'.$class_sfx.'">'._REMEMBER_ME."</label></span>";
			if ($horizontal) echo "&nbsp;\n"; else echo "<br />\n";
		break;
		case 2:
			echo '<input type="hidden" name="remember" value="yes" />';
		break;
		case 3:
			echo '<input type="checkbox" name="remember" id="mod_login_remember'.$class_sfx.'" class="inputbox'.$class_sfx.'" value="yes" checked="checked" /> '
				.'<span id="mod_login_remembermetext'.$class_sfx.'"><label for="mod_login_remember'.$class_sfx.'">'._REMEMBER_ME."</label></span>";
			if ($horizontal) echo "&nbsp;\n"; else echo "<br />\n";
		break;
		default:
		break;
	}
	
	// security image by www.waltercedric.com
	if ($securityImagesExist) {
		if ($securityImagesUseInLogin) {
			echo "<br />".getSecurityImageTextHeader()."<br />";
			echo insertSmallSecurityImage("security_refid");
			echo getSecurityImageField("security_try");
			echo getSecurityImageTextHelp();
		}
	}
	//end security image by www.waltercedric.com
	
	echo '<input type="submit" name="Submit" class="button'.$class_sfx.'" value="'._BUTTON_LOGIN.'" />';
	if ($horizontal) echo "&nbsp;&nbsp;\n"; else echo "</td></tr>\n<tr><td>";
	
	$loginPost = sefRelToAbs("index.php?option=com_comprofiler&amp;task=lostPassword");
	if ($https_post and (substr($_SERVER["SCRIPT_URI"],0,6)!="https:")) {
		if (substr($loginPost, 0, 5) != "http:") $loginPost = $mosConfig_live_site."/".$loginPost;
		$loginPost = str_replace("http://","https://",$loginPost);
	}
	if ($show_lostpass) {
		echo '<a href="'.$loginPost.'" class="mod_login'.$class_sfx.'">';
		if ($compact) echo _UE_FORGOT_PASSWORD;	
		else echo _LOST_PASSWORD;
		echo '</a>';
		if ($horizontal) {
			if ($compact) echo "&nbsp;|"; 
			else echo "&nbsp;\n"; 
		} else echo "</td></tr>\n";
	}
	if ($registration_enabled and $show_newaccount) {
		if ($horizontal) echo '&nbsp;<span id="mod_login_noaccount'.$class_sfx.'">'; else echo "<tr><td>";
		if (!$compact)	 echo _NO_ACCOUNT." ";
		$loginPost = sefRelToAbs("index.php?option=com_comprofiler&amp;task=registers");
		if ($https_post and (substr($_SERVER["SCRIPT_URI"],0,6)!="https:")) {
			if (substr($loginPost, 0, 5) != "http:") $loginPost = $mosConfig_live_site."/".$loginPost;
			$loginPost = str_replace("http://","https://",$loginPost);
		}
		echo '<a href="'.$loginPost.'" class="mod_login'.$class_sfx.'">';
		if ($compact) echo _UE_REGISTER;
		else echo _CREATE_ACCOUNT;
		echo '</a>';
		if ($horizontal) echo "</span>\n"; else echo "</td></tr>\n";
	}
	if (!$horizontal) echo "</table>";
	if ($posttext) echo $posttext."\n";
	echo "</form>";
}
?>